### int PASCAL RARGetDllVersion()

### Description

Returns API version.

### Parameters

None.

### Return values

Returns an integer value denoting UnRAR.dll API version, which is also defined in unrar.h as RAR_DLL_VERSION. API version number is incremented only in case of noticeable changes in UnRAR.dll API. Do not confuse it with version of UnRAR.dll stored in DLL resources, which is incremented with every DLL rebuild.

If RARGetDllVersion() returns a value lower than UnRAR.dll, which your application was designed for, it may indicate that DLL version is too old and it may fail to provide all necessary functions to your application.

This function is missing in very old versions of UnRAR.dll, so it is safer to use LoadLibrary and GetProcAddress to access it.